<?php
  require_once "setup.php";
  $base = parse_url($repo->getURIPrefix());
  $basepath = $base["path"];
?>
<!DOCTYPE HTML>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=Pacifico">

    <link rel="stylesheet" href="css/core-style.css" type="text/css" media="screen" />

    
    <title>SALAMI SPARQL Endpoint</title>

<!--
    <script src="js/jquery-1.10.1.js" > </script>
-->

    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js"></script>

    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type="text/javascript" id="sgvzlr_script" src="http://sgvizler.googlecode.com/svn/release/0.5/sgvizler.js"></script>



    <script type="text/javascript">

      sgvizler.option.namespace.mo ='http://purl.org/ontology/mo/';
      sgvizler.option.namespace.salami = 'http://nema.lis.illinois.edu/salamiEndpoint/';

      
      $(document).ready(sgvizler.go());


    </script>

  </head>

  <body>
    <div id="container">

      <div id="header">
	<h1>The Salami SPARQL Endpoint</h1>
      </div>

      <div id="navigation">
	<ul>	  
	  <li><a href="index.php">Home</a></li>
	  <li><a href="sparql.php">SPARQL</a></li>
	  <li class="selected"><a href="#">Examples</a></li>
	  <li><a href="download.php">Download</a></li>
	  <li><a href="about.php">About</a></li>
	</ul>
      </div>

      <div id="content-container">

	<div id="content">


<!--
		action="<?php echo htmlspecialchars($repo->getSparqlEndpoint()); ?>" method="post"
-->	  
          <h2>Example 1</h2>
	  <p>
            Retrieve all the tracks in the Salami dataset that correspond to MusicBrainz tracks
	  </p>
<pre>
  PREFIX rdf: &lt;http://www.w3.org/1999/02/22-rdf-syntax-ns#&gt;
  PREFIX rdfs: &lt;http://www.w3.org/2000/01/rdf-schema#&gt;
  PREFIX mo: &lt;http://purl.org/ontology/mo/&gt;
  PREFIX salami: &lt;http://nema.lis.illinois.edu/salamiEndpoint/&gt;

  SELECT ?o
  WHERE {
    ?s mo:derived_from ?o.
  }
</pre>

<a href="<?php echo htmlspecialchars($repo->getSparqlEndpoint());?>?query=PREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+mo%3A+%3Chttp%3A%2F%2Fpurl.org%2Fontology%2Fmo%2F%3E%0APREFIX+salami%3A+%3Chttp%3A%2F%2Fnema.lis.illinois.edu%2FsalamiEndpoint%2F%3E%0A%0ASELECT+%3Fo+WHERE+%7B%0A+%3Fs+mo%3Aderived_from+%3Fo%0A%7D%0A%09++++&output=text"/>Execute Sparql Query</a>




          <h2>Example 2</h2>
	  <p>
            Overview of the predicates in the tripple-store
	  </p>
<pre>
  PREFIX mo: &lt;http://purl.org/ontology/mo/&gt;
  PREFIX salami: &lt;http://nema.lis.illinois.edu/salamiEndpoint/&gt;

  SELECT ?p (COUNT(?p) AS ?pCount)
  WHERE {
    ?s ?p ?o.
  } 
  GROUP BY ?p
  ORDER BY ?p
</pre>


  <a href="<?php echo htmlspecialchars($repo->getSparqlEndpoint());?>?query=PREFIX+rdf%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F1999%2F02%2F22-rdf-syntax-ns%23%3E%0APREFIX+rdfs%3A+%3Chttp%3A%2F%2Fwww.w3.org%2F2000%2F01%2Frdf-schema%23%3E%0APREFIX+mo%3A+%3Chttp%3A%2F%2Fpurl.org%2Fontology%2Fmo%2F%3E%0APREFIX+salami%3A+%3Chttp%3A%2F%2Fnema.lis.illinois.edu%2FsalamiEndpoint%2F%3E%0A%0ASELECT+%3Fp+(COUNT(%3Fp)+AS+%3FpCount)%0AWHERE+%7B%0A+%3Fs+%3Fp+%3Fo.%0A%7D%0AGROUP+BY+%3Fp%0AORDER+BY+%3Fp&output=text&soft-limit=-1"/>Execute Sparql Query</a>

<div id="sgvzl_example2"
      data-sgvizler-endpoint="<?php echo htmlspecialchars($repo->getSparqlEndpoint());?>"
      data-sgvizler-query="
  SELECT ?p (COUNT(?p) AS ?pCount)
  WHERE {
    ?s ?p ?o.
  } 
  GROUP BY ?p
  ORDER BY ?p"
      data-sgvizler-chart="gTable"
      data-sgvizler-loglevel="2"
      style="width:100%; height:290px;"></div> 
    

          <h2>Example 3</h2>
	  <p>
            Find out the distribution between mono and stereo tracks.
	  </p>
<pre>
  PREFIX mo: &lt;http://purl.org/ontology/mo/&gt;
  PREFIX salami: &lt;http://nema.lis.illinois.edu/salamiEndpoint/&gt;

  SELECT (STR(?channel) as ?channelStr) (COUNT(?channel) AS ?freqCount)
  WHERE {
    ?signalID  a           mo:DigitalSignal ;
               mo:channels ?channel.
  } 
  GROUP BY ?channel
</pre>

<a href="<?php echo htmlspecialchars($repo->getSparqlEndpoint());?>?query=PREFIX%20mo:%20%3Chttp://purl.org/ontology/mo/%3E%20PREFIX%20salami:%20%3Chttp://nema.lis.illinois.edu/salamiEndpoint/%3E%20SELECT%20?channel%20(COUNT(?channel)%20AS%20?freqCount)%20WHERE%20{%20?signalID%20a%20mo:DigitalSignal%20;%20mo:channels%20?channel.%20}%20GROUP+BY%20?channel&output=text&soft-limit=-1"/>Execute Sparql Query</a>



<div id="sgvzl_example3"
      data-sgvizler-endpoint="<?php echo htmlspecialchars($repo->getSparqlEndpoint());?>"
      data-sgvizler-query="
  SELECT (STR(?channel) AS ?channelStr) (COUNT(?channel) AS ?freqCount)
  WHERE {
    ?signalID  a           mo:DigitalSignal ;
               mo:channels ?channel.
  } 
  GROUP BY ?channel"
      XXdata-sgvizler-chart="gPieChart"
      data-sgvizler-chart="gBarChart"
      data-sgvizler-loglevel="2"
      data-sgvizler-chart-options="title=Mono vs. Stereo Tracks|vAxis.title=Number of Channels"
      style="width:100%; height:80px;"></div> 


</div>



      <div id="footer" style="border-top: 8px groove #7ECDF3;">
	<table cellpadding="0px" cellspacing="0px" width="100%">
	  <tbody>
	    <tr style="background: white;">
	      <td align="center">
		<a href="http://www.sshrc-crsh.gc.ca/Default.aspx">
		  <img width="400px" src="images/sshrc_logo.jpeg">
	      </a>
	      </td>
	      <td align="center">
		<a href="http://www.nsf.gov/index.jsp">
		  <img width="100px" src="images/nsf_logo.jpeg">
		</a>
	      </td>
	      <td align="center">
		<a href="http://www.jisc.ac.uk/">
		  <img height="100px" src="images//jisc_logo.jpeg">
	        </a>
	      </td>
	    </tr>
	  </tbody>
	</table>

      </div>

  </div>
	</body>
</html>
